## org.omg.CORBA
Class StringHolder

    java.lang.Object
      |
      +--org.omg.CORBA.StringHolder

All Implemented Interfaces:
  Streamable

public final class StringHolder
extends java.lang.Object
implements Streamable

Field Summary
`java.lang.String` `value`

Constructor Summary
`StringHolder()`
`StringHolder(java.lang.String initial)`

Method Summary
`void` `_read(InputStream is)`
`TypeCode` `_type()`
`void` `_write(OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

Constructor Detail

### StringHolder

    public StringHolder()

### StringHolder

    public StringHolder(java.lang.String initial)

Method Detail

### _read

    public void _read(InputStream is)

  Specified by:
    `_read` in interface `Streamable`

### _write

    public void _write(OutputStream os)

  Specified by:
    `_write` in interface `Streamable`

### _type

    public TypeCode _type()

  Specified by:
    `_type` in interface `Streamable`